Tighten Safe Haskell bounds, fixes new warning in GHC 7.10.
[packages/unix.git] / unix.cabal
index 12f463b..ddd95de 100644 (file)
@@ -1,10 +1,11 @@
 name:           unix
-version:        2.7.0.1
--- GHC 7.6.1 released with 2.6.0.0
+version:        2.7.0.2
+-- NOTE: Don't forget to update ./changelog.md
 license:        BSD3
 license-file:   LICENSE
 maintainer:     libraries@haskell.org
-bug-reports:    http://ghc.haskell.org/trac/ghc/newticket?component=libraries/unix
+homepage:       https://github.com/haskell/unix
+bug-reports:    https://github.com/haskell/unix/issues
 synopsis:       POSIX functionality
 category:       System
 build-type:     Configure
@@ -38,12 +39,7 @@ extra-tmp-files:
 
 source-repository head
     type:     git
-    location: http://git.haskell.org/packages/unix.git
-
-source-repository this
-    type:     git
-    location: http://git.haskell.org/packages/unix.git
-    tag:      unix-2.7.0.1-release
+    location: https://github.com/haskell/unix.git
 
 library
     default-language: Haskell2010
@@ -62,9 +58,9 @@ library
             Trustworthy
 
     build-depends:
-        base        >= 4.5     && < 4.8,
+        base        >= 4.5     && < 4.9,
         bytestring  >= 0.9.2   && < 0.11,
-        time        >= 1.2     && < 1.5
+        time        >= 1.2     && < 1.6
 
     exposed-modules:
         System.Posix